# SonarQube server
# sonar.host.url & sonar.login are set by the Scanner CLI.
# See https://docs.sonarqube.org/latest/analysis/gitlab-cicd/.

# Project settings.
sonar.projectKey=my-app
sonar.projectName=my-app
sonar.projectDescription=My JavaProject interesting project.
sonar.links.ci=https://gitlab.com/Rama08/scanner/-/pipelines
#sonar.links.issue=https://jira.example.com/projects/MYPROJECT

# Scan settings.
sonar.projectBaseDir=.
# Define the directories that should be scanned. Comma separated.
#sonar.sources=./src,./resources,./web
sonar.sources=./src
#sonar.test.inclusions=**/*Test.php
#sonar.php.coverage.reportPaths=./coverage/lcov.info
#sonar.php.file.suffixes=php
#sonar.sourceEncoding=UTF-8

sonar.exclusions=,**/coverage/**

# Fail CI pipeline if Sonar fails.
sonar.qualitygate.wait=true




